Qt 5.7 | Qt 3D | C++ Classes | QBufferDataGenerator

Qt 5.7.1 Reference Documentation

# QBufferDataGenerator Class

(Qt3DRender::QBufferDataGenerator)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QBufferDataGenerator()
virtual QByteArray | operator()() = 0
virtual bool | operator==(const QBufferDataGenerator &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QBufferDataGenerator::~QBufferDataGenerator()

Destroys the instance of QBufferDataGenerator. The destructor is virtual.

### `[pure virtual]` QByteArray QBufferDataGenerator::operator()()

### `[pure virtual]` bool QBufferDataGenerator::operator==(const QBufferDataGenerator &other) const